Browser Requirements
Your browser does not meet the minimum browser requirements for accessing
atschool.mynha.com. The minimum requirements are outlined below.

Parent Site
To access the parent site, you must be using one
of the following browsers: NOTE: Cookies must also be enabled

AtSchool
To access AtSchool, you must be using
Internet Explorer 8 or newer:

Any version of Internet Explorer 9 or newer
must have compatibility mode turned on for AtSchool. NOTE: Cookies and JavaScript must also be enabled